CREATE TABLE access_log (
    id INTEGER UNSIGNED PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ログのID',
    access_time TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'アクセスしてきた時間',
    page_path VARCHAR(254) NOT NULL COMMENT 'アクセスしてきたパス'
) COMMENT='アクセス情報を記録するテーブル'
PARTITION BY RANGE (id) (
    PARTITION p10 VALUES LESS THAN (100000),
    PARTITION p20 VALUES LESS THAN (200000),
    PARTITION p30 VALUES LESS THAN (300000),
    PARTITION p40 VALUES LESS THAN (400000),
    PARTITION p50 VALUES LESS THAN (500000),
    PARTITION p60 VALUES LESS THAN (600000),
    PARTITION p70 VALUES LESS THAN (700000),
    PARTITION p80 VALUES LESS THAN (800000),
    PARTITION p90 VALUES LESS THAN (900000),
    PARTITION p100 VALUES LESS THAN (10000000),
    PARTITION p110 VALUES LESS THAN (11000000)
);
