CREATE TABLE user (
    id INTEGER UNSIGNED PRIMARY KEY NOT NULL AUTO_INCREMENT COMMENT 'ユーザのID',
    name VARCHAR(254) NOT NULL COMMENT 'ユーザが設定可能な名前' ,
    is_premium TINYINT(1) NOT NULL DEFAULT 0 COMMENT '1ならプレミアムユーザ、0なら一般ユーザ',
    create_date TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'アカウントを作成した日時',
    INDEX (is_premium),
    INDEX (name)
) COMMENT='ユーザ情報を管理するテーブル';
